package server

import (
	"io"
	"net"
)

type ServerHandler interface {
	Listen() (net.Listener, error)
	Handle(remoteAddr string, rwc io.ReadWriteCloser, stopChan chan struct{})

	GetAddr() string
	GetPendingResponses() int

	Validate()

	accept(l net.Listener) (io.ReadWriteCloser, string, error)
}
